org.red5.server.api.plugin

## Interface IRed5PluginHandler

    public interface IRed5PluginHandler

Base interface for handlers originating from plug-ins.

Author:
  Paul Gregoire

### Method Summary

Methods
`void` `init()` Initialize the plug-in handler.
`void` `setApplication(MultiThreadedApplicationAdapter application)` Set the application making use of this plug-in handler.
`void` `setProperties(Map<String,Object> props)` Set properties to be used by this handler.

### Method Detail

#### init

    void init()

Initialize the plug-in handler.

#### setApplication

    void setApplication(MultiThreadedApplicationAdapter application)

Set the application making use of this plug-in handler.

Parameters:
  `application` -

#### setProperties

    void setProperties(Map<String,Object> props)

Set properties to be used by this handler.

Parameters:
  `props` -